package com.pixelized.shared.lwa.model.tag

class TagJsonFactory {

    fun convertFromJson(
        json: TagJson,
    ): Tag {
        return when (json) {
            is TagJsonV1 -> Tag(
                id = json.id,
                label = json.label,
                meta = json.meta ?: false,
            )
        }
    }

    fun convertToJson(
        tag: Tag,
    ): TagJson {
        return TagJsonV1(
            id = tag.id,
            label = tag.label,
            meta = tag.meta.takeIf { it },
        )
    }
}